unit FromExplorerU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls;

type
  TForm1 = class(TForm)
    Image: TImage;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    procedure WMDropFiles(var Msg: TWMDropFiles);
      message wm_DropFiles;
  end;

var
  Form1: TForm1;

implementation

uses
  ShellAPI, JPEG;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  DragAcceptFiles(Handle, True);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DragAcceptFiles(Handle, False);
end;

procedure TForm1.WMDropFiles(var Msg: TWMDropFiles);
var
  FileName: array[0..Max_Path] of Char;
  Ext: String;
begin
  with Msg do
    try
      DragQueryFile(Drop, 0, FileName, SizeOf(FileName));
      Ext := UpperCase(ExtractFileExt(FileName));
      if (Ext = '.BMP') or (Ext = '.JPG') then
        Image.Picture.LoadFromFile(StrPas(FileName));
    finally
      DragFinish(Drop);
    end;
end;

end.
